#include <videodecoder.h>

class MJPEG_VideoDecoder: public IVideoDecoder
{
public:
    MJPEG_VideoDecoder(const CodecInfo& info, const BITMAPINFOHEADER& format, int flip);
    ~MJPEG_VideoDecoder();
    virtual int SetDestFmt(int bits = 24, fourcc_t csp = 0);
protected:
    virtual int DecodeInternal(void* src, size_t size, int is_keyframe, CImage* pImage);
    virtual void StartInternal();
    virtual void StopInternal();
};
